/**
 * Centralized Protocol Detection Module
 * 
 * This module provides unified protocol detection capabilities for
 * both TLS and HTTP protocols, extracting connection information
 * without consuming the data stream.
 */

// Main detector
export * from './protocol-detector.js';

// Models
export * from './models/detection-types.js';
export * from './models/interfaces.js';

// Individual detectors
export * from './detectors/tls-detector.js';
export * from './detectors/http-detector.js';

// Utilities
export * from './utils/buffer-utils.js';
export * from './utils/parser-utils.js';